CSFML 3.0.0
Loading...
Searching...
No Matches
Macros | Typedefs
Config.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Macros
#define | CSFML_VERSION_MAJOR 3
#define | CSFML_VERSION_MINOR 0
#define | CSFML_VERSION_PATCH 0
#define | CSFML_EXTERN_C extern
#define | CSFML_API_EXPORT extern "C" __attribute__((__visibility__("default")))
#define | CSFML_API_IMPORT CSFML_EXTERN_C __attribute__((__visibility__("default")))
#define | CSFML_DEPRECATED

## Typedefs
typedef uint32_t | sfChar32
| Define sfChar32.

## Macro Definition Documentation

## ◆ CSFML_API_EXPORT

#define CSFML_API_EXPORT extern "C" __attribute__((__visibility__("default")))

Definition at line 104 of file Config.h.

## ◆ CSFML_API_IMPORT

#define CSFML_API_IMPORT CSFML_EXTERN_C __attribute__((__visibility__("default")))

Definition at line 105 of file Config.h.

## ◆ CSFML_DEPRECATED

#define CSFML_DEPRECATED

Definition at line 150 of file Config.h.

## ◆ CSFML_EXTERN_C

#define CSFML_EXTERN_C extern

Definition at line 49 of file Config.h.

## ◆ CSFML_VERSION_MAJOR

#define CSFML_VERSION_MAJOR 3

Definition at line 38 of file Config.h.

## ◆ CSFML_VERSION_MINOR

#define CSFML_VERSION_MINOR 0

Definition at line 39 of file Config.h.

## ◆ CSFML_VERSION_PATCH

#define CSFML_VERSION_PATCH 0

Definition at line 40 of file Config.h.

## Typedef Documentation

## ◆ sfChar32

typedef uint32_t sfChar32

Define sfChar32.

Work around macOS not providing <uchar.h>

Definition at line 161 of file Config.h.